Bug 1027139 - change nvr of package
change nvr of package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scl-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Zeleny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 03:59 EST by Marcela Mašláňová
Modified: 2015-01-29 23:44 EST (History)
2 users (show)

See Also:
Fixed In Version: scl-utils-2.0.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-29 23:28:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2013-11-06 03:59:31 EST
NVR of this package is terrible. It also might be against packaging guidelines, when I'm thinking about it:
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Versioning

Would it be possible to change nvr to something sane? I would propose bump the epoch, and create release 1.0, so older version releases could be done as bugfix releases 1.1, 1.2. Those git snapshots are hard to read.
Comment 1 Jan Zeleny 2014-04-08 07:38:10 EDT
Upstream ticket:
https://fedorahosted.org/SoftwareCollections/ticket/9
Comment 2 Fedora Update System 2015-01-21 03:26:55 EST
scl-utils-2.0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/scl-utils-2.0.1-1.fc21
Comment 3 Fedora Update System 2015-01-21 03:27:15 EST
scl-utils-2.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/scl-utils-2.0.1-1.fc20
Comment 4 Fedora Update System 2015-01-21 18:04:40 EST
Package scl-utils-2.0.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scl-utils-2.0.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1006/scl-utils-2.0.1-2.fc21
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-01-29 23:28:43 EST
scl-utils-2.0.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-01-29 23:44:14 EST
scl-utils-2.0.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.